import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  paymentId: SortOrderSchema.optional(),
  serviceLineId: SortOrderSchema.optional(),
  paidAmount: SortOrderSchema.optional(),
  adjustedAmount: SortOrderSchema.optional()
}).strict();
export const ServiceLineTransactionSumOrderByAggregateInputObjectSchema: z.ZodType<Prisma.ServiceLineTransactionSumOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.ServiceLineTransactionSumOrderByAggregateInput>;
export const ServiceLineTransactionSumOrderByAggregateInputObjectZodSchema = makeSchema();
